
%define qtmajor 5
%define qtminor 10
%define qtsubminor 0

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtsensors %mklibname qt5sensors %qtmajor
%define libqtsensors_d %mklibname qt5sensors -d
%define libqtsensors_p_d %mklibname qt5sensors-private  -d

%define qttarballdir qtsensors-everywhere-src-%{qtversion}

Name: qtsensors5
Version: 5.10.0
Release: %mkrel 1
Summary: Qt5 Sensors component
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: qtcore5-private-devel = %version
BuildRequires: qtqml5-devel = %version
BuildRequires: %{_lib}qt5quick-devel >= %version
#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
The Qt Sensors API provides access to sensor hardware via QML and C++
interfaces.  The Qt Sensors API also provides a motion gesture recognition
API for devices.

#------------------------------------------------------------------------------

%package -n %{libqtsensors}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: qtsensors5
Provides: qtsensors5 = %{version}

%description -n %{libqtsensors}
Qt%{qtmajor} Component Library.

The Qt Sensors API provides access to sensor hardware via QML and C++
interfaces.  The Qt Sensors API also provides a motion gesture recognition
API for devices.

%files -n %{libqtsensors}
%{_qt5_libdir}/libQt5Sensors.so.%{qtmajor}*
%{_qt5_qml}/QtSensors/*
%{_qt5_plugindir}/sensorgestures/*.so
%{_qt5_plugindir}/sensors/*.so

#------------------------------------------------------------------------------

%package -n %{libqtsensors_d}
Summary: Devel files needed to build apps based on QtSensors
Group:    Development/Libraries
Requires: %{libqtsensors} = %version
Provides: libqtsensors5-devel = %version
Provides: libqt5sensors-devel = %version
Provides: qtsensors5-devel = %version
Provides: qt5sensors-devel = %version

Provides: libqtsensors5-private-devel = %version
Provides: libqt5sensors-private-devel = %version
Provides: qtsensors5-private-devel = %version
Provides: qt5sensors-private-devel = %version

Obsoletes: %{_lib}qt5sensors-private-devel
Provides:  %{_lib}qt5sensors-private-devel = %version

%description -n %{libqtsensors_d}
Devel files needed to build apps based on QtSensors.

%files -n %{libqtsensors_d}
%{_qt5_libdir}/libQt5Sensors.prl
%{_qt5_libdir}/libQt5Sensors.so
%{_qt5_libdir}/pkgconfig/Qt5Sensors.pc
%{_qt5_libdir}/cmake/Qt5Sensors
%{_qt5_datadir}/mkspecs/modules/qt_lib_sensors.pri
%{_qt5_includedir}/QtSensors
%{_qt5_datadir}/mkspecs/modules/qt_lib_sensors_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtsensors-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir

%changelog
* Sat Dec 09 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed Nov 22 2017 bb2 <bb2> - 5.9.3-1pclos2017
- new version

* Fri Oct 06 2017 bb2 <bb2> - 5.9.2-1pclos2017
- new version

* Fri Jun 30 2017 bb2 <bb2> - 5.9.1-1pclos2017
- new version

* Mon Jun 04 2017 bb2 <bb2> - 5.9.0-1pclos2017
- new version

* Thu Oct 13 2016 bb <bb> 5.6.2-1pclos2016
- update

* Tue Jul 12 2016 bb <bb> 5.6.1-2pclos2016
- updated tarball

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
